      *****************************************************************
      *               ASCEBCB2.CPY - a COBOL Copy File                *
      *         Copyright (C) 1987-2015 SimoTime Technologies         *
      *                     All Rights Reserved                       *
      *              Provided by SimoTime Technologies                *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
      * The following tables are used by the INSPECT statement to do  *
      * the conversion between EBCDIC and ASCII for numeric, zoned    *
      * decimal fields.                                               *
      *   inspect FIELD-NAME converting E-NUMB to A-NUMB              *
      *   inspect FIELD-NAME converting A-NUMB to E-NUMB              *
      * This table includes a decimal point conversion and the space  *
      * character conversion. A space character is an invalid numeric *
      * entry and this situation does occur. A plus (+) or minus (-)  *
      * character will also be converted.                             *
      *                                                               *
      * SimoZAPS contains four tables that may be used for various    *
      * Upper/Lower Case or EBCDIC/ASCII conversion requirements.     *
      * ASCEBCB1.CPY - includes a full character set for the alphabet *
      *                (upper/lower case), digit, special characters  *
      *                and alternate codes for characters with the    *
      *                acute, grave, umlaut, tilde and circumflex.    *
      *                Caution: this table does not convert the Y     *
      *                characters with an umlat.                      *
      * ASCEBCB2.CPY - includes the character set for the translation *
      *                between EBCDIC/ASCII of signed/unsigned,       *
      *                zoned-decimal, numeric fields.                 *
      * ASCEBCB3.CPY - includes the character set for the alternate   *
      *                codes with the acute, grave, umlaut, tilde and *
      *                circumflex. This is primarily used for case    *
      *                conversion.                                    *
      *                Note: this table converts the Y characters     *
      *                with an umlat, this may convert high-values    *
      *                X'FF' to X'DF'
      * ASCEBCB4.CPY - includes the character set for the alphabet    *
      *                (upper/lower case), digit, special characters. *
      *                This is primarily used in the US where the     *
      *                alternate codes may not be required.           *
      * ASCEBCB5.CPY - includes a full character set for the alphabet *
      *                (upper/lower case), digit, special characters  *
      *                and alternate codes for characters with the    *
      *                acute, grave, umlaut, tilde and circumflex.    *
      *                Caution: this table will convert the Y         *
      *                characters with an umlat.                      *
      *****************************************************************
      *
       01  E-NUMB-DATA.
           05  filler  pic X(10) value X'F0F1F2F3F4F5F6F7F8F9'.
           05  filler  pic X(10) value X'C0C1C2C3C4C5C6C7C8C9'.
           05  filler  pic X(10) value X'D0D1D2D3D4D5D6D7D8D9'.
           05  filler  pic X(04) value X'4B404E60'.
      *                                   .   + -
       01  E-NUMB      redefines E-NUMB-DATA  pic X(34).
      *
       01  A-NUMB-DATA.
           05  filler  pic X(10) value X'30313233343536373839'.
           05  filler  pic X(10) value X'30313233343536373839'.
           05  filler  pic X(10) value X'70717273747576777879'.
           05  filler  pic X(04) value X'2E202B2D'.
      *                                   .   + -
       01  A-NUMB      redefines A-NUMB-DATA  pic X(34).
      *
      ***  ASCEBCB2 - End-of-Copy File - - - - - - - - - - - ASCEBCB2 *
      *****************************************************************
      *
