@echo OFF
rem  * *******************************************************************
rem  *               DATMRTE1.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create a Sequential Data Set on disk.
rem  * Author - SimoTime Technologies
rem  * Date   = January 24, 1996
rem  *
rem  * The 1st step will set the global or comman environment variables.
rem  *
rem  * The 2nd job step (CreateTEXT) will create a new ASCII/Text file.
rem  *
rem  * The 3rd step will convert the Line Sequential file to a Record
rem  * Sequential file.
rem  *
rem  * The 4th step will perform the End-of-Job tasks.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
rem  * *******************************************************************
rem  * Step 1 of 4, Set the global or comman environment variables
rem  *
     set CmdName=DATMRTE1
     call ..\ENV1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%.cmd"
     call SimoNOTE "Starting CmdName %CmdName%, User is %USERNAME%"
     call SimoNOTE "StepInfo Delete previously created files"
     set DATMRTT1=%BaseLib1%\DATA\Txt1\DATMRTT1.TXT
rem  *
rem  * *******************************************************************
rem  * Step 2 of 4, Create and populate a new ASCII/TEXT file...
rem  *
     call SimoNOTE "StepInfo Create an ASCII/Text File"
     if exist %DATMRTT1% del %DATMRTT1%
rem  * ..1....:....2....:....3....:....4....:....5....:....6....:....7.
echo A01Text-48 with signed zoned decimal numeric data  000000101>>%DATMRTT1%
echo A02Text-32 with packed data                        000000204>>%DATMRTT1%
echo A03T16 binary data                                 000000307>>%DATMRTT1%
echo A01Text-48 with signed zoned decimal numeric data  000000102>>%DATMRTT1%
echo A02Text-32 with packed data                        000000205>>%DATMRTT1%
echo A01Text-48 with signed zoned decimal numeric data  000000103>>%DATMRTT1%
echo A03T16 binary data                                 000000308>>%DATMRTT1%
echo A01Text-48 with signed zoned decimal numeric data  000000114>>%DATMRTT1%
echo A01Text-48 with signed zoned decimal numeric data  000000115>>%DATMRTT1%
echo A03T16 binary data                                 000000309>>%DATMRTT1%
echo A02Text-32 with packed data                        000000206>>%DATMRTT1%
     if exist %DATMRTT1% call SimoNOTE "DataMake %DATMRTT1%"
     if not exist %DATMRTT1% set JobStatus=9001
     if not %JobStatus% == 0000 goto :EojNok
rem  *
rem  * *******************************************************************
rem  * Step 3 of 4, ConvertASCII/TEXT file to Record Sequential File...
rem  *
     call SimoNOTE "StepInfo Convert Line Sequential to Record Sequential"
     set GETLS080=%DATMRTT1%
     set PUTRS080=%BaseLib1%\DATA\Asc1\DATMRTW1.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALAR
     if not ERRORLEVEL = 0 set JobStatus=0030
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "DataTake %GETLS080%"
     call SimoNOTE "DataMake %PUTRS080%"
rem  *
rem  * *******************************************************************
rem  * Step 4 of 4, End of job routines...
rem  *
:EojAok
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNok
     call SimoNOTE "NOTE ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
:End
     if not "%1" == "nopause" pause
